local race = require("love_src.src.world.top_down_race.component.race")

local template = {}

template.default_data = {
  accel = 10.0,
  brake = 10.0,
  grip = 10.0,
  max_speed = 10.0,
  steer = 10.0,
  velocity = 10.0,
  decel = 5.0,
  drag = 2.0
}
function template.assemble(e, data)
  e:give(race.dict.accel, data.accel)
  e:give(race.dict.brake, data.brake)
  e:give(race.dict.grip, data.grip)
  e:give(race.dict.max_speed, data.max_speed)
  e:give(race.dict.steer, data.steer)
  e:give(race.dict.velocity, data.velocity)
  e:give(race.dict.decel, data.decel)
  e:give(race.dict.drag, data.drag)
end

return template
